<?php namespace WeCodeArt\Customizer;
// No direct access, please.
if ( ! defined( 'ABSPATH' ) ) exit;
// Use
use WeCodeArt\Customizer\Config as Config;
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	WP-Customizer Config
 * @copyright   Copyright (c) 2019, WeCodeArt Framework
 * @since 		v3.5
 * @version		v3.6
 */

/**
 * Customizer Configs Panel/Sections
 */
class Configs extends Config {
	/**
	 * Register Site Layout Customizer Configurations.
	 * @param 	Array                $configurations 
	 * @param 	WP_Customize_Manager $wp_customize instance of WP_Customize_Manager.
	 * @since 	3.6
	 * @return 	Array 
	 */
	public function register( $configurations, $wp_customize ) {
		$configs = array(

			/**
			 * Header 
			 */
			array(
				'name'     => 'header',
				'type'     => 'panel',
				'priority' => 5,
				'title'    => __( 'Header Settings', 'wecodeart' ) 
			),
			array(
				'name'     => 'header-bar',
				'type'     => 'section',
				'priority' => 5,
				'title'    => __( 'Header Bar', 'wecodeart' ),
				'panel'    => 'header',
			),
			/**
			 * Content
			 */
			array(
				'name'     => 'content',
				'type'     => 'panel',
				'priority' => 10,
				'title'    => __( 'Content Settings', 'wecodeart' ) 
			),
			array(
				'name'     => 'content-layout',
				'type'     => 'section',
				'priority' => 5,
				'title'    => __( 'Layout Settings', 'wecodeart' ),
				'panel'    => 'content',
			),
			array(
				'name'     => 'content-entry',
				'type'     => 'section',
				'priority' => 10,
				'title'    => __( 'Entry Settings', 'wecodeart' ),
				'panel'    => 'content',
			),
			/**
			 * Footer
			 */
			array(
				'name'     => 'footer',
				'type'     => 'panel',
				'priority' => 15,
				'title'    => __( 'Footer Settings', 'wecodeart' ) 
			),
			array(
				'name'     => 'footer-layout',
				'type'     => 'section',
				'priority' => 5,
				'title'    => __( 'Layout Settings', 'wecodeart' ),
				'panel'    => 'footer',
			),
			array(
				'name'     => 'footer-copyright',
				'type'     => 'section',
				'priority' => 10,
				'title'    => __( 'Copyright', 'wecodeart' ),
				'panel'    => 'footer',
			)
		);

		return array_merge( $configurations, $configs );
	}
}
