<?php namespace WeCodeArt\Customizer\Extender;
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit(); 
// Use
use WP_Customize_Section as WP_Customize_Section;
// If exists return null.
if ( class_exists( 'WeCodeArt\Customizer\Extender\Section' ) ) return NULL;
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Customizer/Extends
 * @copyright   Copyright (c) 2019, WeCodeArt Framework
 * @since 		v3.5
 * @version		v3.5
 */

class Section extends WP_Customize_Section {
	/**
	 * Panel
	 * @since 3.5
	 * @var string
	 */
	public $section;

	/**
	 * Control type.
	 * @since  	3.5
	 * @var 	string
	 */
	public $type = 'wecodeart-section';

	/**
	 * Get section parameters for JS.
	 * @since 	3.5
	 * @return 	array Exported parameters.
	 */
	public function json() {
		$array                   = wp_array_slice_assoc( (array) $this, array( 'id', 'description', 'priority', 'panel', 'type', 'description_hidden', 'section' ) );
		$array['title']          = html_entity_decode( $this->title, ENT_QUOTES, get_bloginfo( 'charset' ) );
		$array['content']        = $this->get_content();
		$array['active']         = $this->active();
		$array['instanceNumber'] = $this->instance_number;

		if ( $this->panel ) {
			$array['customizeAction'] = sprintf( 'Customizing &#9656; %s', esc_html( $this->manager->get_panel( $this->panel )->title ) );
		} else {
			$array['customizeAction'] = 'Customizing';
		}

		return $array;
	}
}