<?php if ( ! defined( 'ABSPATH' ) ) exit(); // Exit if accessed directly
// Use
use WeCodeArt\Activation;
use WeCodeArt\Customizer;
use WeCodeArt\Support;
use WeCodeArt\Core\Header;
use WeCodeArt\Core\Content;
use WeCodeArt\Core\Archive;
use WeCodeArt\Core\Entry;
use WeCodeArt\Core\Pagination;
use WeCodeArt\Core\Footer;
use WeCodeArt\Core\Comments;
use WeCodeArt\Core\Hooks;
use WeCodeArt\Core\Scripts;
/**
 * WeCodeArt Framework Init.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework.
 * @subpackage  Init
 * @copyright   Copyright (c) 2019, WeCodeArt Framework
 * @since		v1.0
 * @version		v3.5
 */

// Include the autoloader.
require_once( get_parent_theme_file_path( '/inc/class-wecodeart-autoloader.php' ) );
new WeCodeArt\Autoloader();

// Start up class
WeCodeArt::get_instance();
final class WeCodeArt {
	/**
	 * Instance
	 *
	 * @var $_instance
	 */
	private static $_instance = NULL;
	
	/**
	 * Version
	 *
	 * @var $version
	 */
	private static $theme_data;
	
	/**
	 * Initiator
	 *
	 * @since 	v3.3
	 * @return 	object
	 */
	public static function get_instance() {
		if( self::$_instance == NULL ) self::$_instance = new self;
		return self::$_instance;
	}

	/**
	 * Constructor
	 */
	public function __construct() {
		// Can we proceed with theme activation ?
		if( Activation::get_instance()->is_ok() === false ) return;
		
		$this->init();
	}

	public function init() {
		self::$theme_data = wp_get_theme( null );

		// Fire Core Classes
		Header		::get_instance();
		Content		::get_instance();
		Archive		::get_instance();
		Entry		::get_instance();
		Comments	::get_instance();
		Pagination	::get_instance();
		Footer		::get_instance();
		Scripts		::get_instance();
		Hooks		::get_instance();

		// Fire Customizer Class
		Customizer	::get_instance();

		// Fire Support Class
		Support		::get_instance();

		// Put all the pieces together - Everything ends here :)
		require get_parent_theme_file_path( '/inc/functions/functions.php' ); 
	} 
}